/***************************************************************
    Estilos de woocommerce que puedan aplicarse en todo el sitio
*/

body ul li.product del {
    color: var(--gray-700) !important;

    /* Desktop/Text/body-small */
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
    /* 128.571% */
    letter-spacing: 0.5px;
    text-decoration-line: line-through;
}

body.woocommerce ul.products>li.product .inside-wc-product-image {
    width: 100%;
}

.woocommerce-page .woocommerce-error
{
    border: unset;
    background: unset;
    padding: 0;
    margin: 0;
    margin-bottom: 16px;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px; /* 133.333% */
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.woocommerce-page .woocommerce-error li
{
    border-width: 0 0 0 5px;
    border-style: solid;
    border-color: var(--gray-500);
    border-radius: 8px;
    padding: 10px!important;
    color: #E61919;
    border-color: #E61919;
    background: linear-gradient(0deg, rgba(230, 25, 25, 0.10) 0%, rgba(230, 25, 25, 0.10) 100%), #FFF;
}

/************************************************************/
/* MI CUENTA - LOST PASSWORD ESTILOS
/***********************************************************/

body.woocommerce-lost-password #page {
    margin-left: calc(-100vw / 2 + 100% / 2);
    margin-right: calc(-100vw / 2 + 100% / 2);
    max-width: 100vw;
    width: auto;
}

body.woocommerce-lost-password #page #content {
    padding-top: 0;
}

body.woocommerce-lost-password #page #content .inside-article {
    padding: 0;
}

body.woocommerce-lost-password .woocommerce-message {
    display: none;
}

body.woocommerce-lost-password .kpn-auth__col--image img {
    height: 100%;
}

.kpn-auth {
    transition: all 400ms cubic-bezier(0.2, 0.2, 0.2, 1);
}

.kpn-auth .kpn-auth__grid {
    display: flex;
    /*min-height: calc(100vh - 81px);*/
    max-width: 1440px;
    margin: 0 auto;
}

/* Left column START */
.kpn-auth .kpn-auth__grid .kpn-auth__left {
    width: 50%;
    padding: 80px 60px 80px 120px;
    display: flex;
    flex-direction: column;
}

.kpn-auth .kpn-auth__grid .kpn-auth__left .kpn-auth__col--form {
    width: 100%;
    max-width: 370px;
}

.kpn-auth__col--form form p:first-child {
    margin-bottom: 16px;
}

.kpn-auth .kpn-auth__grid .kpn-auth__left .kpn-password-header .kpn-back {
    margin-bottom: 24px;
}

.kpn-auth .kpn-auth__grid .kpn-auth__left form {
    display: flex;
    gap: 16px;
    flex-direction: column;
}
.kpn-auth .kpn-auth__grid .kpn-auth__left form .clear {
    display: none;
}
.kpn-auth .kpn-auth__grid .kpn-auth__left form .form-row {
    width: 100%;
    margin: 0;
    gap: 8px;
}

/* Left column END */

/* Right column START */
.kpn-auth .kpn-auth__grid .kpn-auth__right {
    width: 50%;
    position: relative;
    overflow: hidden;
}

.kpn-auth .kpn-auth__grid .kpn-auth__right img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.kpn-auth .kpn-auth__grid .kpn-auth__col--image {
    min-height: 520px;
    overflow: hidden;
}

.kpn-auth .kpn-auth__grid .kpn-auth__image {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    border-radius: 12px;
}

/* Right column END */

/* Spacing general */
.kpn-auth .kpn-auth__grid .kpn-auth__left .kpn-password-header {
    margin-bottom: 40px;
}

/* Responsive */
@media (max-width: 1024px) {


    .kpn-auth .kpn-auth__grid .kpn-auth__left {
        padding: 60px 40px;
    }
}

@media (max-width: 768px) {

    .kpn-auth .kpn-auth__grid {
        flex-direction: column;
    }

    .kpn-auth .kpn-auth__grid .kpn-auth__left {
        width: 100%;
        padding: 24px;
        min-height: auto;
        align-items: center;
    }

    .kpn-auth .kpn-auth__grid .kpn-auth__right {
        width: 100%;
        min-height: 400px;
    }

    .kpn-auth__col--form form p:first-child {
        margin-bottom: 0;
    }
    .kpn-auth .kpn-auth__grid .kpn-auth__left .kpn-password-header {
        margin-bottom: 24px;
    }
}


/************************************************************/
/* MI CUENTA - RESET PASSWORD ESTILOS
/***********************************************************/

.woocommerce-ResetPassword.lost_reset_password {
    display: flex;
    flex-direction: column;
}

/* ancho del form */
.woocommerce-ResetPassword.lost_reset_password .form-row-first,
.woocommerce-ResetPassword.lost_reset_password .form-row {
    max-width: 520px;
}

.woocommerce-ResetPassword.lost_reset_password .button {
    width: 100%;
}

.woocommerce-ResetPassword.lost_reset_password .button {
    width: 100%;
    line-height: 20px;
    padding: 16px 20px;
    text-transform: uppercase;
}

/* responsive */
@media (max-width: 900px) {

    .kpn-auth__col--form {
        overflow: visible;
    }
}
